'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var umi = require('@metaplex-foundation/umi');
var errors = require('./errors.cjs');

function publicKey(options = {}) {
  return {
    description: options.description ?? 'publicKey',
    fixedSize: 32,
    maxSize: 32,
    serialize: value => umi.publicKeyBytes(umi.publicKey(value)),
    deserialize: (bytes, offset = 0) => {
      const pubkeyBytes = bytes.slice(offset, offset + 32);
      if (pubkeyBytes.length === 0) {
        throw new errors.DeserializingEmptyBufferError('publicKey');
      }
      if (pubkeyBytes.length < umi.PUBLIC_KEY_LENGTH) {
        throw new errors.NotEnoughBytesError('publicKey', umi.PUBLIC_KEY_LENGTH, pubkeyBytes.length);
      }
      return [umi.publicKey(pubkeyBytes), offset + 32];
    }
  };
}

exports.publicKey = publicKey;
//# sourceMappingURL=pubkey.cjs.map
