import { UmiError } from '@metaplex-foundation/umi';
/** @category Errors */
export declare class BeetSerializerError extends UmiError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
export declare class OperationNotSupportedError extends BeetSerializerError {
    readonly name: string;
    constructor(operation: string);
}
export declare class DeserializingEmptyBufferError<TDefaultValue = undefined> extends BeetSerializerError {
    readonly name: string;
    readonly toleratedDefaultValue: TDefaultValue;
    constructor(serializer: string, toleratedDefaultValue?: TDefaultValue);
}
export declare class NotEnoughBytesError extends BeetSerializerError {
    readonly name: string;
    constructor(serializer: string, expected: bigint | number, actual: number);
}
